%% Sliding Mode Control for Pitch
%
%
% Author: Ingrid Hagen Johansen
% Master Thesis spring 2012
% Date: 26.05.2012
%
%
%

%%

function delta_e = SM_delta_e(y)
%#codegen

b_q = y(1:3);
poler = y(4:6);
theta_d = y(7);
theta_d_dot = y(8);
q_d = y(8);
q_d_dot = y(9);
h_d = y(10);
h_d_dot = y(11);
U_0 = y(12);
q = y(13);
theta = y(14);
z = y(15);
alpha = y(16);


x = [q theta z]';
x_d_dot = [q_d_dot theta_d_dot h_d_dot]';

if U_0 == 0
    U_0 = 0.00002;
end


A = [b_q(1) b_q(2) 0; 1 0 0; 0 U_0 0];
b = [b_q(3) 0 0]'; 
p = [poler(1) poler(2) poler(3)]; %Multiplicity not greater than rank(b)
f = [0 0 -U_0*alpha]';

k = place(A,b,p);
Ac = A-b*k;
[V,D] = eig(Ac');

for i = 1:length(b)
    hi = V(:,i);
    if norm(hi.'*Ac) < 1e-10; h = hi; end
end

k = [k(1) 0 k(3)]'; 
% k(2) is set to zero since it is one pure integrator in pitch

s = h(1)*(q-q_d) + h(2)*(theta-theta_d) + h(3)*(z-h_d);
eta = 0.1;

delta_e =  -k'*x + (1/(h'*b))*(h'*x_d_dot -h'*f -eta*sat(s));
