%% Simulation of simulink model GNCSystem_XXX.mdl
%
%
%
%   Author: Ingrid Hagen Johansen
%   Master Thesis Spring 2012
%   Date: 26.05.2012
%
%   Thanks to: Thor I. Fossen
%
%

clc;
clear all;
close all;


%% Initialize
%   Set waypoints [North East Altitude]
%   The Waypoints are selected for take at Vaernes (ENVA), Norway.
%  
    Way_points = [0 0 0;
                  0 8000 500;
                  10000 8000 500;
                  10000 32000 500];


    % Without payload          
     payload = 0; % [kg]
    
    % With payload
    % payload = 378; % [kg]
          
    % Speed
    takeoff_speed = 80; %[kt]
    cruise_speed = 48;  %[kt]
    
    % If wind, +30 kt
     cruise_speed = cruise_speed + 30; %[kt]
    
    % System Identification
    systemIdentification
    poler = [0 -.00006 -0.00003];
    
%   Initialize

    initGNC


%% Simulation

%    Simulation with PID control
    sim('GNCSystem_PID')
% 
%    Simulation with Sliding Mode Control for pitch and altitude
% sim('GNCSystem_SM')

%% Plot

    plots

