%% Plots result from simulation of GNCSystem_XX.mdl
%
%
% Author: Ingrid Hagen Johansen
% Master Thesis spring 2012
% Date: 26.05.2012
%
%
%

close all;

% Load Waypoints
WP = guidance.waypoints;


%% Desired vs Measured 
figure(1)

% North-East 
subplot(2,1,1)
%Measured
plot(eta.signals.values(:,2),eta.signals.values(:,1))
xlabel('East')
ylabel('North')

hold on;
%Desired
x = WP(1,1):50:WP(2,1);
y = WP(1,2):50:WP(2,2);
plot(y,x,'r')
hold on;
x = WP(2,1):50:WP(3,1);
y = WP(2,2):50:WP(3,2);
plot(y,x,'r')
hold on;
x = WP(3,1):50:WP(4,1);
y = WP(3,2):50:WP(4,2)-3000;
plot(y,x,'r')
legend('Measured','Desired', 'Location', 'Best')

% Altitude
subplot(2,1,2)
%Measured
plot(-eta.signals.values(:,3))
hold on
%Desired
plot(-reference.signals.values(:,2),'r')
xlabel('Time')
ylabel('Altitude')




% Roll, Pitch, Yaw
figure(2)
subplot(3,1,1)
plot(180*eta.signals.values(:,4)/pi)
hold on
plot(180*phi_desired.signals.values/pi,'r')
xlabel('Time')
ylabel('Roll Angle')


subplot(3,1,2)
plot(180*eta.signals.values(:,5)/pi)
hold on
plot(180*desired.signals.values(:,2)/pi,'r')
xlabel('Time')
ylabel('Pitch Angle')

subplot(3,1,3)
plot(180*eta.signals.values(:,6)/pi)
hold on
% plot(180*desired.signals.values(:,3)/pi,'r') %PID
plot(180*desired.signals.values(:,6)/pi,'r')   %Sliding Mode
xlabel('Time')
ylabel('Yaw Angle')

legend('Measured','Desired', 'Location', 'Best')

%% Angle of Attack and Sideslip Angle
figure(3)
for i = 1:length(alpha)
    alphaPlot(i) = alpha(:,:,i);
end

for i = 1:length(beta)
    betaPlot(i) = beta(:,:,i);
end

subplot(2,1,1)
plot(alphaPlot)
xlabel('Time')
ylabel('Angle of Attack')

subplot(2,1,2)
plot(betaPlot)
xlabel('Time')
ylabel('Sideslip Angle')
    